Subject: Re: bug#71245: 2024-03-17; Populate `semantic-symref-filepattern-alist'

From: Ikumi Keita <[email-masked]>
Date: Wed, 29 May 2024 15:22:38 +0900

Hi David,

>>>>> David Fussner via bug-auctex via Bug reporting list for AUCTeX <[email-masked]> writes:
> The patchset for the new xref backend in tex-mode.el is still pending,
> but no matter what the eventual outcome of that I think we still need to
> have a complete set of AUCTeX modes included in
> `semantic-symref-filepattern-alist'. Without them we just get the
> cryptic message about customizing that variable when we try to use
> `xref-find-references'. Also, I don't know whether it was decided not to
> include the .tex extension where relevant, but this does mean that,
> without further intervention, `xref-find-references' won't search .tex
> files in any of the modes, even when you are actually searching from,
> say, a LaTeX-mode .tex file. This seems suboptimal to me. I attach a
> patch for your consideration.

Thanks for your proposal. Actually, I'm not sure what to do with this
issue.

As you say, .tex extension is shared among LaTeX, plain TeX and ConTeXt.
(I think we can ignore SliTeX and AmSTeX.) When AUCTeX adds .tex to
`semantic-symref-filepattern-alist', `xref-find-references' searches all
.tex files, if I understand correctly. Therefore, if LaTeX files and
plain TeX files are in the same directory, M-? typed in the LaTeX file
buffers would look into plain TeX files as well. In theory, this can
lead to false positive result. Is this legitimate behavior for xref.el?
If it is for sure, I think AUCTeX can accept your patch.
(Or, maybe AUCTeX should have a new customize option to control to have
.tex extension in `semantic-symref-filepattern-alist' so that users
can decide to allow such false positives or not?)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW